Create a Git test project

A successful request to this endpoint creates a new Git test project, and returns the new Git test project details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

This request uses the GET method to retrieve details about a specific Git repository. For basic authorization, replace this with your username and password (or API key) in the username:password or username:api_key format. Your user credentials are combined to form a Base64-encoded string.

The request data is provided as a JSON object. You need to provide the following required query parameters:

  • id: The unique identifier of the repository to retrieve.

You need to provide the following required path parameters:

  • expandDetails: If set to true, retrieves additional repository details. Defaults to false.
  • includeStatistics: If set to true, include usage statistics in the response. Defaults to false.

Response

The response returns the newly created Git test project.

See the following example:

{
  "id": 0,
  "testProjectId": 0,
  "name": "string",
  "repository": "string",
  "branch": "string",
  "username": "string",
  "password": "string",
  "accessKeyId": "string",
  "secretAccessKey": "string",
  "projectId": 0,
  "description": "string",
  "vcsType": "GITHUB",
  "shouldMergeTestResultsForNewScriptRepo": true,
  "teamId": 0,
  "createdAt": "2025-01-20T02:40:34.252Z",
  "updatedAt": "2025-01-20T02:40:34.252Z"
}

Refer to the following table about the response body properties:

PropertyTypeDescription
idIntegerUnique identifier of the repository.
testProjectIdIntegerID of the associated test project.
nameStringName of the repository.
repositoryStringURL of the repository.
branchStringBranch name.
usernameStringUsername for repository access.
passwordStringPassword for repository access.
accessKeyIdStringAWS access key ID (if applicable).
secretAccessKeyStringAWS secret access key (if applicable).
projectIdIntegerID of the project associated with this repository.
descriptionStringDescription of the repository.
vcsTypeStringType of version control system (e.g., "GITHUB").
shouldMergeTestResultsForNewScriptRepoBooleanIndicates if test results should be merged for a new script repository.
teamIdIntegerTeam ID associated with the repository.
createdAtStringCreation timestamp in ISO 8601 format.
updatedAtStringLast updated timestamp in ISO 8601 format.

Try it!

  1. Enter the required (and optional, if applicable) fields below.
  2. Select the language in Language.
  3. Enter your user name or API credentials.
  4. Review your API call and click Try it!
Body Params
string
required

The name of the test project

string
required

The URL to the Git repository.

string
required

The Git branch in use.

string
required

The username for the Git account.

string
required

The password for the Git account.

string
string

The access key for authentication and authorizfation.

int64

The ID of the project associated with this script repository.

string
string
enum
required

The Git service type.

Allowed:
boolean
Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*